Supercheck LogoSupercheck
Alerts API

Get alert history

View the history of triggered alerts for the current project.

GET
/api/alerts/history

Authorization

bearerAuth
AuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

In: header

Query Parameters

page?integer

Page number for pagination

Default1
Range1 <= value
limit?integer

Items per page

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://demo.supercheck.dev/api/alerts/history"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "targetType": "string",
    "targetId": "string",
    "targetName": "string",
    "type": "string",
    "message": "string",
    "status": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "notificationProvider": "string",
    "metadata": {
      "errorMessage": "string"
    }
  }
]
{
  "error": "Unauthorized"
}
{
  "error": "string"
}
Empty